eoDeterministicSaDReplacement(3)

NAME
eoDeterministicSaDReplacement - eoDeterministicSaDReplacement: replacement strategy that is just, in sequence saves best and kill worse from parents + saves best and kill worse from offspring + merge remaining (neither save nor killed) parents and offspring + reduce that merged population = returns reduced pop + best parents + best offspring

SYNOPSIS

#include <eoSurviveAndDie.h>

Inherits eoReplacement< EOT >< EOT >.

  Public Member Functions
eoDeterministicSaDReplacement (eoReduce< EOT > &_reduceGlobal, double _surviveParents, double _dieParents=0, double _surviveOffspring=0, double _dieOffspring=0, bool _interpret_as_rate=true)
Constructor with reduce.
eoDeterministicSaDReplacement (double _surviveParents, double _dieParents=0, double _surviveOffspring=0, double _dieOffspring=0, bool _interpret_as_rate=true)
Constructor with default truncate used as reduce.
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
The pure virtual function that needs to be implemented by the subclass.

  Private Attributes
eoReduce< EOT > & reduceGlobal
eoDeterministicSurviveAndDie< EOT > sAdParents
eoDeterministicSurviveAndDie< EOT > sAdOffspring
eoPlus< EOT > plus
eoTruncate< EOT > truncate

Detailed Description

  template<class EOT> class eoDeterministicSaDReplacement< EOT >
eoDeterministicSaDReplacement: replacement strategy that is just, in sequence saves best and kill worse from parents + saves best and kill worse from offspring + merge remaining (neither save nor killed) parents and offspring + reduce that merged population = returns reduced pop + best parents + best offspring An obvious use is as strong elitist strategy, i.e. preserving best parents, and reducing (either offspring or parents+offspring)

Definition at line 132 of file eoSurviveAndDie.h.

Author

Generated automatically by Doxygen for EO from the source code.